petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPBCGSLSetUsePseudoinverse

Use pseudoinverse (via SVD) to solve polynomial part of update

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPBCGSLSetUsePseudoinverse(KSP ksp,PetscBool use_pinv)

Logically Collective on KSP Many br

### Input Parameters

| ksp | - iterative context obtained from KSPCreate Many br
| use_pinv | - set to PETSC_TRUE when using pseudoinverse Many br

### Options Database Keys

| -ksp_bcgsl_pinv | - use pseudoinverse Many br

Many br

### Keywords

KSP, BiCGStab(L), set, polynomial

### See Also

KSPBCGSLSetEll()

Level:intermediate
Location:src/ksp/ksp/impls/bcgsl/bcgsl.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages